### Function

# Fwupd keyring_kind_to_string

since: 0.9.7

#### Declaration [src]

    const gchar*
    fwupd_keyring_kind_to_string (
      FwupdKeyringKind keyring_kind
    )

#### Description [src]

Converts an enumerated keyring kind to a printable string.

Available since: 0.9.7

#### Parameters

`keyring_kind`

  Type: `FwupdKeyringKind`

  A `FwupdKeyringKind`, e.g. `FWUPD_KEYRING_KIND_GPG`.

#### Return value

Type: `const gchar*`

A string, e.g. `gpg`

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.